L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : déni de service via inotify

Synthèse de la vulnérabilité 

Un attaquant local peut employer la fonctionnalité inotify, afin de provoquer une double libération de mémoire, ce qui stoppe le système.
Systèmes vulnérables : Linux, openSUSE, RHEL.
Gravité de cette menace : 1/4.
Date de création : 11/04/2011.
Références de cette faille : 691793, BID-47296, CVE-2011-1479, openSUSE-SU-2011:0860-1, openSUSE-SU-2011:0861-1, RHSA-2011:1253-01, VIGILANCE-VUL-10532.

Description de la vulnérabilité 

La fonctionnalité inotify permet de surveiller les évènements d'un fichier ou d'un répertoire : accès, ouverture, suppression, etc.

La fonction inotify_init() initialise une surveillance. Si un utilisateur a préalablement utilisé tous les descripteurs de fichiers, cette fonction échoue, en libérant la zone mémoire stockant les groupes d'évènements. Cependant, cette zone est libérée deux fois.

Un attaquant local peut donc employer la fonctionnalité inotify, afin de provoquer une double libération de mémoire, ce qui stoppe le système.

Cette vulnérabilité est due à une mauvaise correction de VIGILANCE-VUL-10148.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette menace informatique concerne les logiciels ou systèmes comme Linux, openSUSE, RHEL.

Notre équipe Vigil@nce a déterminé que la gravité de cette alerte de menace informatique est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter ce bulletin de menace informatique.

Solutions pour cette menace 

Noyau Linux : version 2.6.39.
La version 2.6.39 est corrigée :
  http://www.kernel.org/pub/linux/kernel/v2.6/

Noyau Linux : version 2.6.38.3.
La version 2.6.38.3 est corrigée :
  http://www.kernel.org/pub/linux/kernel/v2.6/

Noyau Linux : patch pour inotify.
Un patch est disponible dans les sources d'information.

openSUSE 11.3 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-*-2.6.34.10-0.2.1

openSUSE 11.4 : nouveaux paquetages kernel (02/08/2011).
De nouveaux paquetages sont disponibles :
  kernel-*-2.6.37.6-0.7.1

RHEL 6 MRG : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
MRG Realtime for RHEL 6 Server : kernel-rt-*-2.6.33.9-rt31.75.el6rt
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une annonce de vulnérabilités de réseaux. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.